mqtt_tests.c File Reference
`#include "mqtt.c"`
`#include <cgreen/assertions.h>`
`#include <cgreen/cgreen.h>`
`#include <cgreen/constraint_syntax_helpers.h>`
`#include <cgreen/internal/c_assertions.h>`
`#include <cgreen/mocks.h>`

## Functions

void | MQTTClient_destroy (MQTTClient *client)
| Describe (mqtt)
| BeforeEach (mqtt)
| AfterEach (mqtt)
| Ensure (mqtt, mqtt_client_destroy_nulls_client)
int | main (int argc, char **argv)

## Function Documentation

## AfterEach()

AfterEach | ( | mqtt |  | ) |

## BeforeEach()

BeforeEach | ( | mqtt |  | ) |

## Describe()

Describe | ( | mqtt |  | ) |

## Ensure()

Ensure | ( | mqtt | ,
|  | mqtt_client_destroy_nulls_client | )

## main()

int main | ( | int | argc,
|  | char ** | argv )

## MQTTClient_destroy()

void MQTTClient_destroy | ( | MQTTClient * | client | ) |